View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteapplication/json
Modified alert configuration containing updated threshold values and other configurable parameters.
TypeScript Definitions
Use the request body type in TypeScript.
thresholdsobject<AlertThreshold>[]OptionalrecurringbooleanOptionalapplication/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/subscriptions/SUB_1752779018503/alerts/ALERT_CODE_1234567890" \ -H "Content-Type: application/json" \ -d '{ "code": "ALERT_CODE_UPDATED_1234567890", "name": "Updated Current Usage Alert specific to a Metric units", "thresholds": [ { "code": "warn", "value": "200000.0", "recurring": false }, { "code": "hard", "value": "250000.0", "recurring": false }, { "code": "recurring", "value": "50000.0", "recurring": true } ] }'{ "id": "a3c9e51d-6c0d-4cad-a029-6e5c0c08fc52", "external_subscription_id": "SUB_1752779018503", "metric": { "name": "Storage usage", "code": "Storage_Metrics_1754980238", "type": "METERED", "description": "GB of storage used in my application", "aggregation_type": "SUM", "aggregation_field": "gb", "field_filters": [ { "key": "region", "values": [ "us-west1" ] } ], "id": "0eb44a04-dc60-4d2c-aacb-90d5dbb2b048", "created_at": "2025-08-12T06:30:39Z" }, "type": "METRIC_CURRENT_USAGE_UNITS", "code": "ALERT_CODE_UPDATED_1234567890", "name": "Updated Current Usage Alert specific to a Metric units", "previous_value": 0, "thresholds": [ { "code": "warn", "value": "200000.0", "recurring": false }, { "code": "hard", "value": "250000.0", "recurring": false }, { "code": "recurring", "value": "50000.0", "recurring": true } ], "last_processed_at": "2025-08-16T09:45:00Z", "created_at": "2025-08-12T06:31:47Z"}